# Method: organizations.locations.postureDeployments.patch

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#body.aspect_1)

Updates an existing `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments#PostureDeployment`.

To prevent concurrent updates from overwriting each other, always follow the read-modify-write pattern when you update a posture deployment:

1. Call `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/get#google.cloud.securityposture.v1.SecurityPosture.GetPostureDeployment` to get the current version of the deployment.
2. Update the fields in the deployment as needed.
3. Call `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#google.cloud.securityposture.v1.SecurityPosture.UpdatePostureDeployment` to update the deployment. Ensure that your request includes the `etag` value from the `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/get#google.cloud.securityposture.v1.SecurityPosture.GetPostureDeployment` response.

**Important:** If you omit the `etag` when you call `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments/patch#google.cloud.securityposture.v1.SecurityPosture.UpdatePostureDeployment`, then the updated deployment unconditionally overwrites the existing deployment.

### HTTP request

`PATCH https://securityposture.googleapis.com/v1/{postureDeployment.name=organizations/*/locations/*/postureDeployments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `postureDeployment.name` | `string` Required. Identifier. The name of the posture deployment, in the format `organizations/{organization}/locations/global/postureDeployments/{deployment_id}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The fields in the `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments#PostureDeployment` to update. You can update only the following fields: - `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments#PostureDeployment.FIELDS.posture_id` - `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments#PostureDeployment.FIELDS.posture_revision_id` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.postureDeployments#PostureDeployment`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/securityposture/rest/v1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securityposture.postureDeployments.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).